Get End Cert

Prev Next

Available in Classic and VPC

Get the details of a private certificate.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/ca/{caTag}/cert/{serialNo}

Request headers

For information about the headers common to all CA APIs, see CA request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
caTag String Required CA tag value
serialNo String Required Private certificate serial number

Request example

The following is a sample request.

curl --location --request GET 'https://pca.apigw.ntruss.com/api/v1/ca/********-********/cert/**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
commonName String - Common name
notAfterDate Long - Certification expiration date and time
  • Timestamp format
publicKeyAlgorithm String - Encryption algorithm
notBeforeDate Long - Certification validity start date and time
  • Timestamp format
certPem String - CA certificate (PEM)
caChain String - Certificate chain (PEM)
ocspResponder String - Online Certificate Status Protocol (OSCP) server certificate (PEM)
signatureAlgorithm String - Signature algorithm
serialNo String - Private certificate serial number

Response status codes

For information about the HTTP status codes common to all CA APIs, see CA response status codes.

Response example

The following is a sample example.

{
    "code": "SUCCESS",
    "msg": "Success",
    "data": {
        "commonName": "name001",
        "notAfterDate": 2036465242000,
        "publicKeyAlgorithm": "RSA",
        "notBeforeDate": 1721105212000,
        "certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----",
        "caChain": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----",
        "ocspResponder": "",
        "signatureAlgorithm": "SHA256withRSA",
        "serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**"
    }
}